import request from '@/utils/request'

// 获取报告分类
export function getReportCate(){
	return request({
		'url': '/report/category',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 获取研究报告列表
export function loadReportList(data){
	return request({
		'url': '/report/list',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}
// 获取历史记录
export function loadReportHistory(data){
	return request({
		'url': '/report/history',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

// 获取我的报告列表
export function loadMyReport(data){
	return request({
		'url': '/report/me',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

export function getReportDetail(id){
	return request({
		'url': `/report/${id}`,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}
// 收藏
export function reportFavi(id){
	return request({
		url: '/report/favi',
		headers: {
			isToken: true
		},
		data: {
			id
		},
		'method': 'post'
	})
}
// 取消收藏
export function cancelReportFavi(id){
	return request({
		url: '/report/cancelFavi',
		headers: {
			isToken: true
		},
		data: {
			id
		},
		'method': 'post'
	})
}

// 点赞
export function reportApplaud(id){
	return request({
		url: `/applaud/report`,
		headers: {
			isToken: true
		},
		data: {
			id: id
		},
		'method': 'post'
	})
}
// 取消收藏
export function cancelReportApplaud(id){
	return request({
		url: '/applaud/report/cancel',
		headers: {
			isToken: true
		},
		data: {
			id: id
		},
		'method': 'post'
	})
}

export function payReport(data){
	return request({
		url: '/report/payment',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

/**
 * 学分列表
 */
export function list() {
	return request({
		url: '/course/creditList',
		headers: {
			isToken: true
		},
		data: null,
		'method': 'get'
	})
}